Using PHP 5.6 or PHP 7.0

This article only applies to the hsphere control panel / account portal at https://cp.u2-web.com/ .


At this time the hsphere control panel does not list newer versions of PHP.  As such, if you need to use php 5.6 or 7.0 please place the following blank files in the domain's directory:

php 5.6:
.usePHP56
.useApache24

php 7.0:
.usePHP7
.useApache24

php 7.1:
.usePHP71
.useApache24

php 7.2:
.usePHP72
.useApache24

php 7.3:
.usePHP73
.useApache24


NOTE: the "." in the file names is correct and depending on how you create those files, the program may add an extension (.txt for example).   Both files with correct names are required.

Once you add those files, just wait 10 to 15 minutes for the configuration to reload and you will be using the version selected.

  • 19 Users Found This Useful
Was this answer helpful?

Related Articles

How to add a domain / website for hosting

To add a domain for hosting, please do the following: Login to the control panel (please see...

How to create subdomains? (sub.domain.com)

To add a subdomain, please do the following: Login to the control panel -- please see...

Where do I upload files for the web site? (public_html)

Hsphere has a true separate domain setup and as such there isn't a central "public_html" folder...

How can I test my site before changing DNS? (instant aliases)

To test your site before changing the DNS nameservers, you can use the instant access alias that...

Hsphere User Guides

User guides for our hsphere control panel are available at our downloads section for user guides:...